Subject: Re: SPIRIT Architecture

From: "Raymond Forbes" <[email-masked]>
Date: Tue, 15 Feb 2000 09:46:04 +0000

Igor,

I wasn't aware of the updated draft, if the draft or the URL are not sent to the
list how can we be aware of it.

regards,

Ray Forbes

Igor Faynberg <[email-masked]> on 09/02/2000 22:34:40

                                                              

 To:      "Slutsman, Lev A, ALSVC" <[email-masked]>        
                                                              
 cc:      [email-masked](bcc: Raymond   
          Forbes/MAIN/MC1)                                    

 Subject: Re: SPIRIT Architecture                             

Lev,

I almost completely agree with your outline. My only comment is that the section
that deals with the implementations is perhaps superflous in view of another
Informational RFC that deals with the implementations.

I have  re-issued last week the draft co-authored with Hui-Lan, you, and Mark
unchanged so that it ends up on the SPIRITS page, but I think it is
straightforward for you and your editors' team to exctract things from there
that match the outline you proposed.

I am unaware of other drafts, but there was a little discussion on the list
regarding the present architecture. Perhaps it is worth re-starting it, and your
outline is a good reminder and stimulator.

With best regards,

Igor

"Slutsman, Lev A, ALSVC" wrote:
>
> Members of SPIRITS WG:
>
> Time flies, does not it?
>
> As discussed at the SPIRITS meeting, we plan to issue an architectural
> draft.
> Dave, Lawrence and I would like to start the work as soon as possible so
> that we can have a draft by the end of February.
>
> I suggest that for now we all start with individual drafts reflecting
> the outline below. This outline is based on the Dave's original proposal
> and, of course, subject to corrections introduced in a discussion.
> We plan to create the first version of the final I-D and submit it by March
> 15. That will give as opportunity to discuss the SPIRIT architecture in
> Adeline.
>
> Please let us know if you plan to co-author the future Informational
> RFC.
>
> Best regards,
> Lev
>
> OUTLINE
>
> "On SPIRIT Architecture"
> Abstract
> 1. Introduction
>   a. Pre-Spirit Implementations as a precursor to the SPIRIT Architecture.
>   b. Milestone Services
>   c. SPITI Architecture Requirements
> 2. Functional Architecture
> a. We already have some documented pieces of the SPIRIT architecture. Make
> sure that:
>    1.It sufficient for milestone services
>    Extendable and scalable.
>   b.  Make Sure we appropriately terminate all the info supplied by DPs,
>   c. Also make sure that, if necessary, we can return to an appropriate PIC
> in the IN BCSM.
> 3. Physical Architecture
>   Our recommendation, and examples of physical Architecture.
> 4. Initial thoughts on SPIRIT protocol
> Based on both "milestone services" and the architecture, basic the basic
> requirements for the SPRIT protocol.
>    This is precursor to a separate protocol requirement document.
> 5. Security Considerations
>    Provide the initial thoughts on the security as imposed by the committed
> architecture.
>    The detail security requirements would be formulated in the protocol
> draft.
> 6. Management
>    Management considerations due to the architectural solutions.
> 7. Abbreviations
> 8. Acknowledgements
> 9. References
> Authors' Addresses

---

From: Igor Faynberg <[email-masked]>
Date: Tue, 15 Feb 2000 09:38:34 -0500

Ray,

There was NO new draft!  What you have attached is Lev's outline for which he
solicited input. The draft you see on the SPIRITS page, is a re-print of the
document Hui-Lan, Lev, Mark, and I wrote before. When we wrote it, SPIRITS did
not exist, so we re-issued it as the SPIRITS draft, and the chairs accepted it.

On a more general question you ask, "if the draft or the URL are not sent to the
list how can we be aware of it?" the I-Ds are announced on the IETF announcement
list. In addition, the WG I-Ds are also displayed on the WG page. Finally, I
think it is a good practive for an author of an I-D destined to the group to
send a short message informing the WG about a publication.

I hope that answers your questions.

Igor